// Aufruf Lokal | Vienna 02.08.2008
//
// ==============================================================================
// ***  A R S T R I K E  *** Startskript fr den Programmaufruf ber Aktionsmen.
// ==============================================================================
//
// Eingabe des Zielortes (begrenzt durch Variable _d) auf der 1. AirKarte (AirMap.hpp einbinden in die discription.ext fr 1. und 2. AirKarte)
//
// Aufruf mit Aktionsmen: temp = <unit> addAction ["<Text im Aktionsmen>","AirHQ\Airstrike.sqf",[<Anzahl Einschlge>,<MunitionsNummer(1-3)>,<Streuung>],1,true,true,""]
//
// Aufrufbeispiel in der Initialisierung des Objekts: temp = this addAction ["*** Airstrike anfordern! ***","AirHQ\Airstrike.sqf",[2,3,20],1,true,true,""]
//
// Verwendet Skript "AirFly.sqf"


// lokale Variable
	Private ["_d","_ok","_i","_w","_wi","_bereit","_mz","_mp"];


//globale Variable beim ersten Aufruf fr Airstrike Kontrolle initialisieren.
	if (isNil "ViennasAirstrikeAktiv") then {ViennasAirstrikeAktiv = false};

//Wenn aufrufendes Objekt zerstrt, dann Aktion entfernen
 if (!alive(_this select 0)) exitWith {player groupChat "---- Funkanlage nicht mehr betriebsbereit! ----";(_this select 0) removeAction (_this select 2)};

//Abfrage ob Airstrike aktiv. Wenn ja, dann beenden
 if (ViennasAirstrikeAktiv) exitWith {player groupChat "**** Airstrike derzeit noch in Aktion oder noch kein Kampfflugzeug gestartet! ****"};

//Airstrike aktiv setzen
 ViennasAirstrikeAktiv = true;
 
// maximale Distanz  Zielort zum Spieler
	_d = 1500; 

//Marker Zielbereich und Ziel 
	_mz = createMarkerLocal   [format["AirZiel%1",floor time],position player];
	_mz   setMarkerShapeLocal "ELLIPSE";
	_mz   setMarkerColorLocal "ColorGreenAlpha";
	_mz   setMarkerSizeLocal  [_d,_d];
//Marker Spielerstandort 
	_mp = createMarkerLocal   [format["Spieler%1",floor time],position player];
	_mp   setMarkerShapeLocal "ICON";
	_mp   setMarkerTypeLocal  "Marker";
	_mp   setMarkerColorLocal "ColorGreen";
	_mp   setMarkerSizeLocal  [0.5,0.5];

// Globale Variable fr Mapklick
	AirZiel280708 = []; 
	onMapSingleClick "AirZiel280708 = _pos";

// 1. AirKarte laden
	_ok = createDialog "AirKarte_1";

//Schleife max. 1 Minute (Zeit fr Eingabe in Karte)
	_i=0;
	_wi=1;
	while{_i < 600 and dialog}do
		{
			//Klick auf die Karte erfolgt?
			if(count AirZiel280708 != 0)then
				{
					if (player distance AirZiel280708 > _d*1.05) then
						{
							// Zielort zu weit weg
							player groupChat "Zielort nur innerhalb der gruenen Markierung erlaubt! (plus/minus 5%)";
							AirZiel280708 = []
						}
					else
						{
							//Zielort OK
							_i=4999
						}
				};
			_i=_i+1;
			Sleep 0.1 // 0.1 Sek. Pause
		};
	
//if: Marker gesetzt? dann Flugzeug starten
	if(_i == 5000)then
		{
			//Marker auf Zielposition	
			_mz setMarkerShapeLocal "ICON";
			_mz setMarkerTypeLocal  "Destroy";
			_mz setMarkerColorLocal "ColorRed";
			_mz setMarkerSizeLocal  [0.7,0.7];
			_mz setMarkerTextLocal  "Airstrike";
			_mz setMarkerPosLocal AirZiel280708;
			//Flugzeug erstellen
			([AirZiel280708]+(_this select 3)) execVM "AirHQ\AirFly.sqf";
			sleep 1;
			//Objekt mit der Aktion lschen (hier nicht verwendet)
			//deleteVehicle (_this select 0)
		}
	else
		{
			ViennasAirstrikeAktiv = false
		};

// Mapklick lschen und Dialog schlieen	
	onMapSingleClick "";

//Marker lschen
	deleteMarkerLocal _mz;
	deleteMarkerLocal _mp

